Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIRichMessages.Properties

    java.lang.Object
      java.lang.Enum<UIRichMessages.Properties>
          org.richfaces.component.UIRichMessages.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIRichMessages.Properties>

Enclosing class:
  UIRichMessages

    protected static enum UIRichMessages.Properties

extends Enum<UIRichMessages.Properties>

Enum Constant Summary
`ajaxRendered`
`escape`
`keepTransient`

Method Summary
`static UIRichMessages.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIRichMessages.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ajaxRendered

    public static final UIRichMessages.Properties ajaxRendered

### escape

    public static final UIRichMessages.Properties escape

### keepTransient

    public static final UIRichMessages.Properties keepTransient

Method Detail

### values

    public static UIRichMessages.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIRichMessages.Properties c : UIRichMessages.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIRichMessages.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.